From 9e6c078a9755f6c06768a558c5da72af9f96c2f7 Mon Sep 17 00:00:00 2001
From: Ribbon <peer_64x@protonmail.com>
Date: Fri, 19 May 2023 07:29:29 +0000
Subject: [PATCH] Add doxygen package

---
 bootstrap.sh                    | 7 ++++---
 podman/redox-base-containerfile | 3 ++-
 2 files changed, 6 insertions(+), 4 deletions(-)

diff --git a/bootstrap.sh b/bootstrap.sh
index 45dfe25..a2fdd6c 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -195,7 +195,7 @@ freebsd()
 archLinux()
 {
 	echo "Detected Arch Linux"
-	packages="cmake fuse git gperf perl-html-parser nasm wget texinfo bison flex po4a autoconf curl file expat gmp libtool m4 pkgconf po4a syslinux meson python python-mako make xdg-utils zip unzip llvm clang perl"
+	packages="cmake fuse git gperf perl-html-parser nasm wget texinfo bison flex po4a autoconf curl file expat gmp libtool m4 pkgconf po4a syslinux meson python python-mako make xdg-utils zip unzip llvm clang perl doxygen"
 	if [ "$1" == "qemu" ]; then
 		packages="$packages qemu"
 	elif [ "$1" == "virtualbox" ]; then
@@ -259,7 +259,8 @@ ubuntu()
 		unzip \
 		llvm \
 		clang \
-		perl
+		perl \
+		doxygen
 	if [ "$1" == "qemu" ]; then
 		if [ -z "$(which qemu-system-x86_64)" ]; then
 			echo "Installing QEMU..."
@@ -306,7 +307,7 @@ fedora()
 		fi
 	fi
 	# Use rpm -q <package> to check if it's already installed
-	PKGS=$(for pkg in file autoconf vim bison flex genisoimage gperf glibc-devel.i686 expat expat-devel fuse-devel fuse3-devel gmp-devel perl perl-HTML-Parser libtool m4 nasm po4a syslinux texinfo ninja-build meson python3-mako make gcc gcc-c++ openssl patch automake perl-Pod-Html perl-FindBin gperf curl gettext-devel perl-Pod-Xhtml pkgconf-pkg-config cmake llvm zip unzip lua luajit make clang ; do rpm -q $pkg > /dev/null || echo $pkg; done)
+	PKGS=$(for pkg in file autoconf vim bison flex genisoimage gperf glibc-devel.i686 expat expat-devel fuse-devel fuse3-devel gmp-devel perl perl-HTML-Parser libtool m4 nasm po4a syslinux texinfo ninja-build meson python3-mako make gcc gcc-c++ openssl patch automake perl-Pod-Html perl-FindBin gperf curl gettext-devel perl-Pod-Xhtml pkgconf-pkg-config cmake llvm zip unzip lua luajit make clang doxygen ; do rpm -q $pkg > /dev/null || echo $pkg; done)
 	# If the list of packages is not empty, install missing
 	COUNT=$(echo $PKGS | wc -w)
 	if [ $COUNT -ne 0 ]; then
diff --git a/podman/redox-base-containerfile b/podman/redox-base-containerfile
index c4326d6..d5d80f9 100644
--- a/podman/redox-base-containerfile
+++ b/podman/redox-base-containerfile
@@ -42,7 +42,8 @@ RUN apt-get update \
 		unzip \
 		llvm \
 		clang \
-		perl
+		perl \
+        doxygen
 
 # _UID_ must be replaced with the user's uid on host
 # podman root is mapped to your user id on host during build,